@echo on
REM --------------------------------------------------------

REM Usage: runLASSocketAdapter <configuration file name>
REM    where the configuration file contains all the settings         
REM    and configuration information needed by the simulator.

title LASSocketAdapter started
SETLOCAL

set MYERRORLEVEL=0

REM Set current Drive and PATH
set CURRENT_MAIN_DRIVE=%~d0
set CURRENT_MAIN_PATH=%~dp0

%CURRENT_MAIN_DRIVE%
cd %CURRENT_MAIN_PATH%

REM --------------------------------------------------------
REM                start calling LAS Socket Adapter 
REM --------------------------------------------------------

SET CLASSPATH=.\jars\PremisesLASSocketAdapter.jar;.\jars\PremisesLasAdapterFramework.jar;.\jars\AtlasCommon.jar;.\jars\AtlasEventConverter.jar;.\jars\LasEvents.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model_converter.jar;%IBM_RFID_HOME%\premises\api\lib\ibmse_event_model_uuid.jar;.\jars\aspectjrt.jar;.\jars\log4j-1.2.13.jar;.\jars\jdom.jar;.\jars\serviceProxies.jar;%WAS_HOME%\plugins\com.ibm.ws.emf_2.1.0.jar;%WAS_HOME%\runtimes\com.ibm.ws.webservices.thinclient_6.1.0.jar;.\jars\xercesImpl.jar;%CLASSPATH%

java com.ibm.rfid.premises.adapter.main.LASConfigurableSocketAdapter .\res\AdapterConfiguration.properties

REM --------------------------------------------------------
REM                end calling LAS Socket Adapter
REM --------------------------------------------------------

title LASSocketAdapter finished
ENDLOCAL
@pause

